<?php
require'fun.php';
$x1='Mesaje';
$x3='`la`="'.$de.'"';
if($go=='trimise')
{
$x1='Mesaje trimise';
$x3='`de`="'.$de.'"';
}
elseif($go=='salvate')
{
$x1='Mesaje marcate';
$x3.='&&`marcat`="1"';
}
elseif($go=='ne-citite')
{
$x1='Mesaje ne citite';
$x3.='&&`citit`="0"';
}
elseif($go=='primite')
$x1='Mesaje primite';
require'f_conectare.php';
conectare($x1,'mesaje');
$titlu=$x1;
require'f_tabelare.php';
require'f_sus.php';
if($go=='unu')
{
require'f_mut.php';
[$pact,$pid]=explode('-',(isset($_POST['pmact'])?$_POST['pmact']:'-'));
$pinfo=$conn->query('SELECT`text`,`de`,`la`,`raportat`,`data`FROM`mesaje`WHERE`id`="'.$pid.'"')->fetch_row();
if($de!=$pinfo[2])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest mesaj nu îți apartine!'.$div[0];
else
{
if($pact=='del')
echo($pinfo[3]>1?$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mesajul este raportat, și nu se poate șterge!':($conn->query('DELETE FROM`mesaje`WHERE`id`="'.$pid.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesajul a fost șters!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7])).$div[0];
elseif($pact=='str')
echo($conn->query('UPDATE`mesaje`SET`marcat`="1"WHERE`id`="'.$pid.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj marcat!<br />Cand vei șterge mesajele citite, acest mesaj nu se va șterge.':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
elseif($pact=='ust')
echo($conn->query('UPDATE`mesaje`SET`marcat`="0"WHERE`id`="'.$pid.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj demarcat!<br />Daca vei șterge mesajele citite, se va șterge și acest mesaj.':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
elseif($pact=='rpt')
echo($conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`raportat`="'.$de.'"')->fetch_row()[0]<$elemente_raportate?($pinfo[3]==0?($conn->query('UPDATE`mesaje`SET`raportat`="'.$de.'"WHERE`id`="'.$pid.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj raportat administratorilor '.$adresasite[1].'!<br />In cel mai scurt timp, un administrator îl va verifica.<br />Daca l-ai raportat fără motiv, și ai mai raportat și altele fără motiv, risti sa fi penalizat'.($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]=='F'?'ă':'').'!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]):$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest mesaj este raportat!'):$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai raportat <strong>'.$elemente_raportate.'</strong> mesaje!<br />Asteapta să fie rezolvate cele raportate, apoi vei mai putea raporta altele!').$div[0];
elseif($pact=='frdpm')
{
$form[0]='/mesaje/tip/unu" method="post';
$form[1]=0;
$form[2]=$div[1].'<input type="hidden" value="frdpmm-'.$pid.'" name="pmact" />Inainteaza la e-mail<br />E-mail:<br /><input name="pmtext" maxlength="250" />'.$div[0];
$form[3]='pmact::pmtext';
$form[4]='Trimite';
require'f_form.php';
}
elseif($pact=='frdpmm')
{
require'f_data.php';
echo(mail($pmtext,'Mesaj de la '.nume($pinfo[1],1).' la '.nume($pinfo[2],1).'('.$adresasite[1].')','Data: '.data($pinfo[4],1,1).'

'.$pinfo[0].'

&#169; '.$adresasite[1].': O REȚEA CREȘTINĂ DE SOCIALIZARE!','From: '.$conn->query('SELECT`valoare`FROM`setari`WHERE`nume`="email_admin"')->fetch_row()[0])?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj trimis la '.$pmtext.'!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
}
elseif($pact=='dnl')
echo$div[1].'Descarca mesajul, apasand <a href="/descarca-mesaj/id/'.$pid.'">aici</a>'.$div[0];
}
require'f_mesaje_noi.php';
$go='primite';
}
elseif($go=='sterge-tot')
{
require'f_mut.php';
$pact=(isset($_POST['pmact'])?$_POST['pmact']:'');
if($pact=='ust')
echo($conn->query('DELETE FROM`mesaje`WHERE`la`="'.$de.'"&&`raportat`<"2"&&`marcat`="0"&&`citit`>"0"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Toate mesajele în afară de cele cu steluta și ne citite au fost sterse!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
elseif($pact=='red')
echo($conn->query('DELETE FROM`mesaje`WHERE`la`="'.$de.'"&&`raportat`<"2"&&`citit`>"0"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Toate mesajele în afară de cele ne citite au fost sterse!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
elseif($pact=='all')
echo($conn->query('DELETE FROM`mesaje`WHERE`la`="'.$de.'"&&`raportat`<"2"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Toate mesajele în afară de cele raportate au fost sterse!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici o acțiune!'.$div[0];
$go='primite';
}
echo$div[4].img('mesaje.png',1).$x1.$div[5];
if($conn->query('SELECT COUNT(*)FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="0"')->fetch_row()[0]>0)
{
$sex_de=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]=='F'?'ă':'');
$banto=$conn->query('SELECT`data`,`pnreas`,`exid`FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="0"ORDER BY`data`ASC LIMIT 1')->fetch_row();
require'f_ramas.php';
echo$div[7].'Esti pus'.$sex_de.' pe mut!'.$div[0].$div[1].'Timp ramas pana la debanare: <strong>'.ramas($banto[0]- $_SERVER['REQUEST_TIME']).'</strong><br />Ai fost pus'.$sex_de.' pe mut de: <strong>'.nume($banto[2]).'</strong><br />Motiv pedeapsa: <strong>'.htmlspecialchars($banto[1]).'</strong>'.$div[0];
}
$primite=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`la`="'.$de.'"')->fetch_row()[0];
$trimise=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`de`="'.$de.'"')->fetch_row()[0];
$salvate=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`la`="'.$de.'"&&`marcat`="1"')->fetch_row()[0];
$necitite=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`la`="'.$de.'"&&`citit`="0"')->fetch_row()[0];
echo$div[1].($go=='primite'?'Primite':'<a href="/mesaje/tip/primite">Primite</a>').' <strong>'.number_format($primite).'</strong>'.$div[0].$div[1].($go=='trimise'?'Trimise':'<a href="/mesaje/tip/trimise">Trimise</a>').' <strong>'.number_format($trimise).'</strong>'.$div[0].$div[1].($go=='salvate'?'Marcate':'<a href="/mesaje/tip/salvate">Marcate</a>').' <strong>'.number_format($salvate).'</strong>'.$div[0].$div[1].($go=='ne-citite'?'Ne citite':'<a href="/mesaje/tip/ne-citite">Ne citite</a>').' <strong>'.number_format($necitite).'</strong>'.$div[0];
if($go!='')
{
$elemente=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE'.$x3)->fetch_row()[0];
if($elemente>0)
{
require_once'f_simbol.php';
require'f_filtru_bb.php';
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$items=$conn->query('SELECT`id`,`de`,`la`,`citit`,`marcat`,`text`FROM`mesaje`WHERE'.$x3.'ORDER BY`data`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$pmex='';
if($item[3]==0)
$iml='<img src="'.$domenii_statice[1].'npm.gif" alt="" />';
else
{
if($item[4]==1)
$iml='<img src="'.$domenii_statice[2].'spm.gif" alt="" width="16" height="16" />';
else
$iml='<img src="'.$domenii_statice[1].'opm.gif" alt="" />';
$pmex='<i>'.htmlspecialchars(mb_substr(filtru_bb($item[5]),0,33)).'...</i>';
}
echo'<tr><td'.$clasa_kk.'>'.$clasa_n.$iml.$div[0].'<a href="/mesaj/id/'.$item[0].'">'.avatar($item[1]).'</a></td><td'.$clasa_k.'>'.$clasa_n.'<a href="/mesaj/id/'.$item[0].'">'.simbol($item[1]).nume($item[1]).'</a>'.$div[0].($pmex!=''?$clasa_normal.$pmex.$div[0]:'').'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
$form[0]='/mesaje/tip/sterge-tot" method="post';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'<img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge mesaje:<br />'.scris3('pmact','ust,,Citite și ne marcate::red,,Citite::all,,Toate','ust').$div[0];
$form[3]='pmact';
$form[4]='Șterge';
require'f_form.php';
}
else
echo$div[7].'Nu ai nici un mesaj după criteriul selectat!'.$div[0];
}
unset($x1,$x3,$primite,$trimise,$salvate,$necitite);
echo$div[4].img('mesaje.png',1).'Alte actiuni'.$div[5].$div[1].'<a href="/trimite-mesaj">'.img('mesaj.gif',1).'Trimite mesaj</a>'.$div[0].$div[1].'<a href="/trimite-alerta">Trimite alerta</a>'.$div[0].$div[1].'<a href="/dialog-alerte/tip/trimise">'.img('modlog.gif',2).'Alerte trimise</a>'.$div[0].$div[1].'<a href="/dialog-alerte/tip/primite">'.img('modlog.gif',2).'Alerte primite</a>'.$div[0].$div[1].'<a href="/dialog-alerte">'.img('modlog.gif',2).'Dialog alerte</a>'.$div[0].$div[1].'<a href="/top-alerte-trimise">'.img('topuri.gif',2).'Top alerte trimise</a>'.$div[0].$div[1].'<a href="/top-mesaje-trimise">'.img('topuri.gif',2).'Top mesaje trimise</a>'.$div[0];
require'f_jos.php';